Name:           sear
Version:        0.6.3
Release:        5%{?dist}
Summary:        3D WorldForge client

Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.worldforge.org
Source0:        http://downloads.sourceforge.net/worldforge/%{name}-%{version}.tar.gz
Patch0:         sear-0.6.3-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  lib3ds-devel mercator-devel varconf-devel eris-devel sage-devel
BuildRequires:  cal3d-devel compat-guichan05-devel libmodelfile-devel libGLU-devel
BuildRequires:  pkgconfig libtiff-devel libjpeg-devel libpng-devel
BuildRequires:  SDL_image-devel SDL_mixer-devel libXt-devel
BuildRequires:  desktop-file-utils
Requires:       wfut sear-media

%description
Sear is a 3D client for the WorldForge roleplaying environment.  WorldForge
can be viewed as a MMORPG construction kit, providing a working 3D environment
in which quests and full games can be built.


%prep
%setup -q
%patch0 -p0 -b .desktop
chmod a-x COPYING AUTHORS
chmod a-x */*.h
chmod a-x */*.cpp
chmod a-x */*.xpm

%build

LDFLAGS="-L%{_libdir}/guichan-0.5"
export LDFLAGS
CFLAGS="-I%{_includedir}/guichan-0.5 $RPM_OPT_FLAGS"
export CFLAGS
CXXFLAGS="-I%{_includedir}/guichan-0.5 $RPM_OPT_FLAGS"
export CXXFLAGS
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="fedora" \
    --delete-original --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mv $RPM_BUILD_ROOT%{_datadir}/icons/worldforge/sear_icon.xpm \
    $RPM_BUILD_ROOT%{_datadir}/pixmaps/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-bin
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/sear_icon.xpm
# datadir/%{name} is owned by sear-media
%{_datadir}/%{name}/*


%changelog
* Mon Aug 20 2007 Wart <wart at kobold.org> 0.6.3-5
- License tag clarification
- Better download URL

* Sun Apr 8 2007 Wart <wart at kobold.org> 0.6.3-4
- Update to use older compat-guichan05 library

* Tue Feb 20 2007 Wart <wart at kobold.org> 0.6.3-3
- Add requirement on sear-media
- Fix ownership of directories used in both sear and sear-media

* Sat Feb 17 2007 Wart <wart at kobold.org> 0.6.3-2
- Clean up .desktop and icon installations

* Wed Feb 7 2007 Wart <wart at kobold.org> 0.6.3-1
- Update to 0.6.3

* Mon Oct 2 2006 Wart <wart at kobold.org> 0.6.2-2
- Added dependency on wfut
- Removed unnecessary BR: for libsigc++20-devel
- Remove FC-4 specific bits from BR:
- Remove some spurious execute permission bits

* Wed Jul 7 2006 Wart <wart at kobold.org> 0.6.2-1
- Initial spec file for Fedora Extras
